## designate 20.0.0+git2025070714.fe86055b

=== debian/changelog ===
designate (1:20.0.0+git2025070714.fe86055b-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream. 

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 11:40:31 -0700

designate (1:20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 17:45:44 +0200

designate (1:19.0.0+git2025030311.05ffe294-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:15:34 +0000

designate (1:19.0.0+git2025011509.d6e3f96c-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus dependencies.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules,designate-common.install: Install rootwrap.conf directly
    from upstream source.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2025 13:47:12 +0000

designate (1:19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:21:24 +0100

designate (1:19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Jadon Naas ]
  * New upstream release candidate for OpenStack Dalmatian

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 25 Sep 2024 10:34:35 +0100

designate (1:18.0.0+git2024080716.50f686fc-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian:
    - d/p/skip-infoblox-backend-test.patch: Skip execution of infoblox tests
      as the Python client is not yet packaged.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 14 Aug 2024 09:23:18 +0100

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
Build-Depends-Indep:
 python3-alembic (>= 1.8.0),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-designateclient (>= 2.12.0),
 python3-dnspython (>= 2.2.1),
 python3-doc8 (>= 0.6.0),
 python3-edgegrid (>= 1.1.1),
 python3-eventlet (>= 0.36.0),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 2.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.103.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:4.0.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.15.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 3.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pygments (>= 2.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-pymysql (>= 0.8.0),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.2.0),
 python3-sqlalchemy (>= 1.4.41),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-zake (>= 0.1.6),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
Homepage: https://opendev.org/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 sqlite3,
 ${misc:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python3-designate
Section: python
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-alembic (>= 1.8.0),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-designateclient (>= 2.12.0),
 python3-dnspython (>= 2.2.1),
 python3-eventlet (>= 0.36.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.103.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:4.0.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.15.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 3.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-requests (>= 2.23.0),
 python3-sqlalchemy (>= 1.4.41),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-edgegrid (>= 1.1.1),
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack DNS as a Service - Python 3 libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python 3 libraries.

## designate 21.0.0~rc1

=== debian/changelog ===
designate (1:21.0.0~rc1-4~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Sun, 28 Sep 2025 22:47:51 +0000

designate (1:21.0.0~rc1-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:33:08 +0200

designate (1:21.0.0~rc1-3) experimental; urgency=medium

  * Fix UWSGI_INI_APP in init script.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 21:41:17 +0200

designate (1:21.0.0~rc1-2) experimental; urgency=medium

  * Fixed UWSGI_INI_APP in api init script.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2025 22:11:40 +0200

designate (1:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Switch designate-api to module=designate.wsgi.api:application instead of
    wsgi-script which is gone from upstream.
  * Removed versions of (build-)depends, satisfied in Trixie.
  * Refreshed add-new-floatingip-handler.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 19:30:18 +0200

## designate 21.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
reno>=3.1.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.0 # Apache-2.0

=== contrib/designate-ext-samplehandler/requirements.txt ===
pbr
-e git+https://github.com/openstack/designate.git#egg=designate

=== debian/changelog ===
designate (1:21.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 15:47:16 +0200

designate (1:21.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 14:20:43 -0700

designate (1:20.0.0+git2025070714.fe86055b-0ubuntu3) questing; urgency=medium

  * d/designate_sudoers: Drop override causing compatibility issues with
    sudo-rs. (LP: #2120708)

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 19 Aug 2025 12:34:06 +0200

designate (1:20.0.0+git2025070714.fe86055b-0ubuntu2) questing; urgency=medium

  * d/control: Drop unnecessary python-bashate dependency.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 23 Jul 2025 15:33:36 -0700

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Build-Depends-Indep:
  python3-alembic (>= 1.8.0),
  python3-babel (>= 2.3.4),
- python3-bashate (>= 0.5.1),
  python3-designateclient (>= 2.12.0),
  python3-dnspython (>= 2.2.1),
  python3-doc8 (>= 0.6.0),
@@ -263,7 +262,6 @@
  designate-common (= ${binary:Version}),
  python3-alembic (>= 1.8.0),
  python3-babel (>= 2.3.4),
- python3-bashate (>= 0.5.1),
  python3-designateclient (>= 2.12.0),
  python3-dnspython (>= 2.2.1),
  python3-eventlet (>= 0.36.0),

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)
export PBR_VERSION=$(VERSION)


UPSTREAM_GIT = git://github.com/openstack/designate.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*/usr/etc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf doc/build build debian/doctrees
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf .eggs
	rm -f etc/designate/policy.json.sample etc/designate/designate.conf

override_dh_install:
	dh_install -O--buildsystem=pybuild -Xusr/etc
	dh_missing -O--buildsystem=pybuild --fail-missing -Xusr/etc

override_dh_auto_build:
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator \
		--config-file=$(CURDIR)/etc/designate/designate-policy-generator.conf \
		--output-file=$(CURDIR)/etc/designate/policy.json.sample
	PYTHONPATH=$(CURDIR) oslo-config-generator \
		--config-file=$(CURDIR)/etc/designate/designate-config-generator.conf \
		--output-file=$(CURDIR)/etc/designate/designate.conf
	dh_auto_build -O--buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source -d debian/doctrees $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests:
 designate-daemons,
Depends:
 designate,
 designate-api,
 designate-mdns,
 designate-pool-manager,
 designate-sink,
 designate-worker,
 designate-zone-manager,
Restrictions:
 needs-root,

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/designate/ designate-(\d{1,2}\.\d+\.\d+(?:\.\d+)?(?:rc\d+|b\d+)?)\.tar\.gz

## designate 21.0.0+git20260121.19.145042f4

=== debian/changelog ===
designate (1:21.0.0+git20260121.19.145042f4-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 21.0.0+git20260121.19.145042f4
  * d/patches/*: refresh patches
  * New upstream snapshot from 145042f4082640fd15148618ea4d06c0eef9e9f7
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Thu, 22 Jan 2026 09:19:16 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/designate/ designate-(\d{1,2}\.\d+\.\d+(?:\.\d+)?(?:rc\d+|b\d+)?)\.tar\.gz

## designate 2014.1

=== requirements.txt ===
Babel>=1.3
cliff>=1.4.3
eventlet>=0.13.0
extras
Flask>=0.10,<1.0
iso8601>=0.1.8
jsonschema>=2.0.0,<3.0.0
kombu>=2.4.8
lockfile>=0.8
netaddr>=0.7.6
oslo.config>=1.2.0
oslo.rootwrap
Paste
PasteDeploy>=1.5.0
pbr>=0.6,<1.0
pecan>=0.4.5
python-keystoneclient>=0.6.0
python-neutronclient>=2.3.4,<3
Routes>=1.12.3
six>=1.5.2
SQLAlchemy>=0.7.8,<=0.8.99
sqlalchemy-migrate>=0.8.2,!=0.8.4
stevedore>=0.14
WebOb>=1.2.3
dnspython>=1.9.4

=== contrib/designate-ext-samplehandler/requirements.txt ===
pbr>=0.6,<1.0
-e git+https://github.com/stackforge/designate.git#egg=designate

=== debian/changelog ===
designate (2014.1-18+deb8u1) jessie-proposed-updates; urgency=medium

  * CVE-2015-5695: mDNS DoS through incorrect handling of large RecordSets:
    applied upstream patch (Closes: #796108).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Aug 2015 11:04:54 +0200

designate (2014.1-18) unstable; urgency=medium

  * Removed dbc_upgrade = true check before db sync.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Jan 2015 00:16:40 +0000

designate (2014.1-17) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools (>= 22~): starts daemons on first install.
  * designate/configure_db default value is now false.
  * Do not call pkgos_dbc_postinst if designate/configure_db is false.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 15:49:46 +0000

designate (2014.1-16) unstable; urgency=medium

  * Fixed homepage: stackforge -> openstack.
  * Rebuilt against openstack-pkg-tools >= 21~.
  * Added a no-SSLv3.patch to remove the use of ssl.PROTOCOL_SSLv3 which is not
    available in Debian anymore.
  * Fixed PROJECT_NAME instead of SERVICE_NAME for the init script of
    designate-api. Thanks to Gaudenz Steinlin. (Closes: #774383).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Dec 2014 00:51:39 +0800

designate (2014.1-15) unstable; urgency=medium

  * Fix wrong ucfr call. Thanks to Andreas Beckmann <anbe@debian.org> for the
    bug report (Closes: #771800).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 10:50:05 +0000

designate (2014.1-14) unstable; urgency=medium

  * Added nl.po debconf translation (Closes: #767428).

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 17:08:26 +0800

designate (2014.1-13) unstable; urgency=medium

  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 18:38:05 +0800

designate (2014.1-12) unstable; urgency=medium

  * Added de.po initial German debconf translation, thanks to Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #763728).
  * Fixes short name for apache license in debian/copyright.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Oct 2014 03:33:37 +0000

designate (2014.1-11) unstable; urgency=medium

  * Added a patch to allow SQLAlchemy 0.9.x (Closes: #754673).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 06:38:53 +0000

designate (2014.1-10) unstable; urgency=medium

  * Added Italian debconf translation thanks to Beatrice Torracca
    <beatricet@libero.it> (Closes: #758535).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 12:08:08 +0000

=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               openstack-pkg-tools (>= 22~),
               python-all (>= 2.6.6-3~),
               python-pbr (>=0.6),
               python-setuptools,
               python-sphinx
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-cliff,
                     python-cmd2,
                     python-coverage (>= 3.6),
                     python-dnspython,
                     python-eventlet (>= 0.13.0),
                     python-extras,
                     python-fixtures (>= 0.3.14),
                     python-flask (>= 0.10),
                     python-hacking (>= 0.8.0),
                     python-iso8601 (>= 0.1.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:0.6.0),
                     python-kombu (>= 2.4.8),
                     python-lockfile,
                     python-migrate (>= 0.8.2),
                     python-mock (>= 1.0),
                     python-mox,
                     python-netaddr (>= 0.7.6),
                     python-neutronclient (>= 2.3.4),
                     python-oslo.config (>= 1:1.2.0),
                     python-oslo.rootwrap,
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 0.4.5),
                     python-prettytable (>= 0.6),
                     python-routes,
                     python-six (>= 1.5.2),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 0.7.8),
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     sqlite3,
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/designate.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/designate.git
Homepage: https://github.com/openstack/designate

Package: python-designate
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-cliff,
         python-cmd2,
         python-dnspython,
         python-eventlet (>= 0.13.0),
         python-extras,
         python-flask (>= 0.10),
         python-iso8601 (>= 0.1.8),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:0.6.0),
         python-kombu (>= 2.4.8),
         python-lockfile,
         python-migrate (>= 0.8.2),
         python-mysqldb,
         python-netaddr (>= 0.7.6),
         python-neutronclient (>= 2.3.4),
         python-oslo.config (>= 1:1.2.0),
         python-oslo.rootwrap,
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 0.6),
         python-pecan (>= 0.4.5),
         python-prettytable (>= 0.6),
         python-pyparsing,
         python-routes,
         python-six (>= 1.5.2),
         python-sqlalchemy,
         python-stevedore (>= 0.14),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/designate.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart.in debian/*.service

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
https://github.com/stackforge/designate/tags .*/(\d[\d\.]+)\.tar\.gz

## designate 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
eventlet>=0.16.1,!=0.17.0
Flask>=0.10,<1.0
greenlet>=0.3.2
iso8601>=0.1.9
Jinja2>=2.6  # BSD License (3 clause)
jsonschema>=2.0.0,<3.0.0
keystonemiddleware>=1.5.0
netaddr>=0.7.12
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
Paste
PasteDeploy>=1.5.0
pbr>=0.6,!=0.7,<1.0
pecan>=0.8.0
python-neutronclient>=2.3.11,<3
Routes>=1.12.3,!=2.0
requests>=2.2.0,!=2.4.0
six>=1.9.0
SQLAlchemy>=0.9.7,<=0.9.99
sqlalchemy-migrate>=0.9.5
stevedore>=1.3.0,<1.4.0  # Apache-2.0
WebOb>=1.2.3
dnspython>=1.12.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.policy>=0.3.1,<0.4.0  # Apache-2.0
Werkzeug>=0.7  # BSD License
python-memcached>=1.48
psutil>=1.1.1,<2.0.0

=== contrib/designate-dashboard/requirements.txt ===
pbr>=0.6,!=0.7,<1.0
# Horizon Core Requirements
Django>=1.4,<1.7
django_compressor>=1.3
django_openstack_auth>=1.1.4
Babel>=0.9.6
python-designateclient>=1.1.1

=== debian/control ===
--- 
+++ 
@@ -1,61 +1,74 @@
 Source: designate
 Section: net
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 22~),
+               openstack-pkg-tools (>= 13~),
                python-all (>= 2.6.6-3~),
                python-pbr (>=0.6),
                python-setuptools,
                python-sphinx
 Build-Depends-Indep: python-anyjson (>= 0.3.3),
                      python-babel (>= 1.3),
-                     python-cliff,
                      python-cmd2,
                      python-coverage (>= 3.6),
-                     python-dnspython,
-                     python-eventlet (>= 0.13.0),
-                     python-extras,
+                     python-dnspython (>= 1.12.0),
+                     python-eventlet (>= 0.16.1),
                      python-fixtures (>= 0.3.14),
                      python-flask (>= 0.10),
                      python-hacking (>= 0.8.0),
-                     python-iso8601 (>= 0.1.8),
+                     python-iso8601 (>= 0.1.9),
+                     python-jinja2 (>= 2.6),
                      python-jsonschema (>= 2.0.0),
-                     python-keystoneclient (>= 1:0.6.0),
-                     python-kombu (>= 2.4.8),
-                     python-lockfile,
-                     python-migrate (>= 0.8.2),
+                     python-keystonemiddleware (>= 1.5.0),
+                     python-memcache (>= 1.48),
+                     python-migrate (>= 0.9.5),
                      python-mock (>= 1.0),
-                     python-mox,
                      python-netaddr (>= 0.7.6),
-                     python-neutronclient (>= 2.3.4),
-                     python-oslo.config (>= 1:1.2.0),
-                     python-oslo.rootwrap,
+                     python-neutronclient (>= 2.3.11),
+                     python-oslo-config (>= 1:1.9.3),
+                     python-oslo-concurrency (>= 1.8.0),
+                     python-oslo-context (>= 0.2.0),
+                     python-oslo-db (>= 1.7.0),
+                     python-oslo-i18n (>= 1.5.0),
+                     python-oslo-log (>= 1.0.0),
+                     python-oslo-messaging (>= 1.8.0),
+                     python-oslo-middleware (>= 1.0.0),
+                     python-oslo-policy (>= 0.3.1),
+                     python-oslo-rootwrap (>= 1.6.0),
+                     python-oslo-serialization (>= 1.4.0),
+                     python-oslo-utils (>= 1.4.0),
+                     python-oslosphinx (>= 2.2.0.0),
+                     python-oslotest (>= 1.1.2.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
-                     python-pecan (>= 0.4.5),
+                     python-pecan (>= 0.8.0),
                      python-prettytable (>= 0.6),
+                     python-psutil (>= 1.1.1),
                      python-routes,
-                     python-six (>= 1.5.2),
+                     python-suds,
+                     python-six (>= 1.9.0),
                      python-sphinxcontrib-httpdomain,
-                     python-sqlalchemy (>= 0.7.8),
-                     python-stevedore (>= 0.14),
+                     python-sqlalchemy (>= 0.8.4),
+                     python-stevedore (>= 1.3.0),
                      python-subunit (>= 0.0.18),
+                     python-tempest-lib (>= 0.3.0),
                      python-testscenarios (>= 0.4),
-                     python-testtools (>= 0.9.34),
+                     python-testtools (>= 0.9.36),
                      python-webob (>= 1.2.3),
                      python-webtest (>= 2.0),
+                     python-werkzeug (>= 0.7),
                      sqlite3,
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/designate.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/designate.git
-Homepage: https://github.com/openstack/designate
+Homepage: https://github.com/stackforge/designate
 
 Package: python-designate
 Section: python
@@ -63,33 +76,42 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-anyjson (>= 0.3.3),
          python-babel (>= 1.3),
-         python-cliff,
          python-cmd2,
          python-dnspython,
-         python-eventlet (>= 0.13.0),
+         python-eventlet (>= 0.16.1),
          python-extras,
          python-flask (>= 0.10),
-         python-iso8601 (>= 0.1.8),
+         python-iso8601 (>= 0.1.9),
          python-jsonschema (>= 2.0.0),
-         python-keystoneclient (>= 1:0.6.0),
+         python-keystonemiddleware (>= 1.5.0),
          python-kombu (>= 2.4.8),
          python-lockfile,
-         python-migrate (>= 0.8.2),
+         python-migrate (>= 0.9.1),
          python-mysqldb,
          python-netaddr (>= 0.7.6),
-         python-neutronclient (>= 2.3.4),
-         python-oslo.config (>= 1:1.2.0),
-         python-oslo.rootwrap,
+         python-neutronclient (>= 2.3.6),
+         python-oslo-config (>= 1:1.9.3),
+         python-oslo-concurrency (>= 1.8.0),
+         python-oslo-db (>= 1.7.0),
+         python-oslo-i18n (>= 1.5.0),
+         python-oslo-log (>= 1.0.0),
+         python-oslo-messaging (>= 1.8.0),
+         python-oslo-rootwrap (>= 1.6.0),
+         python-oslo-policy (>= 0.3.1),
+         python-oslo-serialization (>= 1.4.0),
+         python-oslo-utils (>= 1.4.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
+         python-suds,
          python-pbr (>= 0.6),
-         python-pecan (>= 0.4.5),
+         python-pecan (>= 0.5.0),
+         python-posix-ipc,
          python-prettytable (>= 0.6),
          python-pyparsing,
          python-routes,
-         python-six (>= 1.5.2),
-         python-sqlalchemy,
-         python-stevedore (>= 0.14),
+         python-six (>= 1.7.0),
+         python-sqlalchemy (>= 0.8.4),
+         python-stevedore (>= 1.3.0),
          python-webob (>= 1.2.3),
          ${misc:Depends},
          ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,10 @@
 	dh_auto_clean -O--buildsystem=python_distutils
 	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
 	rm -rf doc/build build *.egg-info
-	rm -f debian/*.init debian/*.upstart.in debian/*.service
+	rm -f debian/*.init debian/*.upstart debian/*.service
+
+override_dh_install:
+	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=python_distutils
@@ -29,10 +32,10 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	rm -rf .testrepository
 	testr init
-	set -e && \
-		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
+	set -e ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest
 endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/designate designate-(\d.*)\.tar\.gz

## designate 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 iso8601>=0.1.9
 Jinja2>=2.6  # BSD License (3 clause)
 jsonschema>=2.0.0,<3.0.0
-keystonemiddleware>=1.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 netaddr>=0.7.12
 oslo.config>=1.9.3,<1.10.0  # Apache-2.0
 oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
@@ -23,7 +23,7 @@
 PasteDeploy>=1.5.0
 pbr>=0.6,!=0.7,<1.0
 pecan>=0.8.0
-python-neutronclient>=2.3.11,<3
+python-neutronclient>=2.3.11,<2.5.0
 Routes>=1.12.3,!=2.0
 requests>=2.2.0,!=2.4.0
 six>=1.9.0

=== debian/changelog ===
designate (2015.1.0-0ubuntu1.1~cloud0) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 May 2015 19:48:41 +0000
